Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class DefaultXMLFileAccessorFilePolicy

`java.lang.Object
oracle.toplink.xml.DefaultXMLFileAccessorFilePolicy`

All Implemented Interfaces:
  XMLFileAccessorFilePolicy

Direct Known Subclasses:
  DefaultXMLZipFileAccessorFilePolicy

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class DefaultXMLFileAccessorFilePolicy
extends java.lang.Object
implements XMLFileAccessorFilePolicy

Default implementation of accessor file policy.

Since:
  TOPLink/Java 4.5
See Also:
  `XMLFileAccessor`

Field Summary
`static java.lang.String` | `DEFAULT_FILE_NAME_EXTENSION` Deprecated.

Constructor Summary
`DefaultXMLFileAccessorFilePolicy()` Deprecated. Default constructor.

Method Summary
`void` | `createFileSource(java.lang.String rootElementName)` Deprecated. If necessary, create the source that holds all the files for the XML documents with the specified root element name.
`boolean` | `createsDirectoriesAsNeeded()` Deprecated. Return whether the policy will create directories as needed, if they do not exist already.
`void` | `dropFileSource(java.lang.String rootElementName)` Deprecated. If necessary, drop the source that holds all the files for the XML documents with the specified root element name.
`java.util.Enumeration` | `getAllFiles(java.lang.String rootElementName)` Deprecated. Return an enumeration on a every file for the specified root element name.
`java.io.File` | `getBaseDirectory()` Deprecated. All the XML documents are stored in subdirectories under this base directory.
`java.io.File` | `getFile(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements)` Deprecated. Return a file for the specified root element name and primary key.
`java.lang.String` | `getFileNameExtension()` Deprecated. Return the standard file name extension that will be appended to the primary key element value(s) to generate the complete file name.
`FileNameNormalizer` | `getFileNameNormalizer()` Deprecated. Return the normalizer that will convert invalid file names into something usable.
`void` | `setBaseDirectory(java.io.File baseDirectory)` Deprecated. All the XML documents will be stored in subdirectories under the specified base directory.
`void` | `setBaseDirectoryName(java.lang.String baseDirectoryName)` Deprecated. All the XML documents will be stored in subdirectories under the specified base directory.
`void` | `setCreatesDirectoriesAsNeeded(boolean createsDirectoriesAsNeeded)` Deprecated. Set whether the policy will create directories as needed, if they do not exist already.
`void` | `setFileNameExtension(java.lang.String fileNameExtension)` Deprecated. Set the standard file name extension that will be appended to the primary key element value(s) to generate the complete file name.
`void` | `setFileNameNormalizer(FileNameNormalizer fileNameNormalizer)` Deprecated. Set the normalizer that will convert invalid file names into something usable.
`java.lang.String` | `toString()` Deprecated. Call `#toString(PrintWriter)`, to allow subclasses to insert additional information.
`void` | `validateConfiguration()` Deprecated. The accessor is connecting; if necessary, validate the policy's settings.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FILE_NAME_EXTENSION

    public static java.lang.String DEFAULT_FILE_NAME_EXTENSION

  Deprecated.

Constructor Detail

### DefaultXMLFileAccessorFilePolicy

    public DefaultXMLFileAccessorFilePolicy()

  Deprecated.
  Default constructor. Initialize the newly-created instance.

Method Detail

### createFileSource

    public void createFileSource(java.lang.String rootElementName)
                          throws XMLDataStoreException

  Deprecated.
  Description copied from interface: `XMLFileAccessorFilePolicy`
  If necessary, create the source that holds all the files for the XML documents with the specified root element name.
  Specified by:
    `createFileSource` in interface `XMLFileAccessorFilePolicy`
  Throws:
    `XMLDataStoreException`
  See Also:
    `The name of this directory will typically take the form of [base dir]/[root element]`

### dropFileSource

    public void dropFileSource(java.lang.String rootElementName)
                        throws XMLDataStoreException

  Deprecated.
  Description copied from interface: `XMLFileAccessorFilePolicy`
  If necessary, drop the source that holds all the files for the XML documents with the specified root element name.
  Specified by:
    `dropFileSource` in interface `XMLFileAccessorFilePolicy`
  Throws:
    `XMLDataStoreException`
  See Also:
    `The name of this directory will typically take the form of [base dir]/[root element]`

### getAllFiles

    public java.util.Enumeration getAllFiles(java.lang.String rootElementName)
                                      throws XMLDataStoreException

  Deprecated.
  Description copied from interface: `XMLFileAccessorFilePolicy`
  Return an enumeration on a every file for the specified root element name.
  Specified by:
    `getAllFiles` in interface `XMLFileAccessorFilePolicy`
  Throws:
    `XMLDataStoreException`
  See Also:
    `The name of these files will typically take the form of [base dir]/[root element]/*.xml`

### getFile

    public java.io.File getFile(java.lang.String rootElementName,
                                DatabaseRow row,
                                java.util.Vector orderedPrimaryKeyElements)
                         throws XMLDataStoreException

  Deprecated.
  Description copied from interface: `XMLFileAccessorFilePolicy`
  Return a file for the specified root element name and primary key. The name of this file will typically take the form of [base dir]/[root element]/[key].xml
  Specified by:
    `getFile` in interface `XMLFileAccessorFilePolicy`
  Throws:
    `XMLDataStoreException`
  See Also:
    `The name of this file will typically take the form of [base dir]/[root element]/[key].xml`

### validateConfiguration

    public void validateConfiguration()
                               throws XMLDataStoreException

  Deprecated.
  Description copied from interface: `XMLFileAccessorFilePolicy`
  The accessor is connecting; if necessary, validate the policy's settings.
  Specified by:
    `validateConfiguration` in interface `XMLFileAccessorFilePolicy`
  Throws:
    `XMLDataStoreException`
  See Also:
    `Make sure the base directory is OK.`

### createsDirectoriesAsNeeded

    public boolean createsDirectoriesAsNeeded()

  Deprecated.
  Return whether the policy will create directories as needed, if they do not exist already.

### getBaseDirectory

    public java.io.File getBaseDirectory()

  Deprecated.
  All the XML documents are stored in subdirectories under this base directory.

### getFileNameExtension

    public java.lang.String getFileNameExtension()

  Deprecated.
  Return the standard file name extension that will be appended to the primary key element value(s) to generate the complete file name.

### getFileNameNormalizer

    public FileNameNormalizer getFileNameNormalizer()

  Deprecated.
  Return the normalizer that will convert invalid file names into something usable.

### setBaseDirectory

    public void setBaseDirectory(java.io.File baseDirectory)

  Deprecated.
  All the XML documents will be stored in subdirectories under the specified base directory.

### setBaseDirectoryName

    public void setBaseDirectoryName(java.lang.String baseDirectoryName)

  Deprecated.
  All the XML documents will be stored in subdirectories under the specified base directory.

### setCreatesDirectoriesAsNeeded

    public void setCreatesDirectoriesAsNeeded(boolean createsDirectoriesAsNeeded)

  Deprecated.
  Set whether the policy will create directories as needed, if they do not exist already.

### setFileNameExtension

    public void setFileNameExtension(java.lang.String fileNameExtension)

  Deprecated.
  Set the standard file name extension that will be appended to the primary key element value(s) to generate the complete file name.

### setFileNameNormalizer

    public void setFileNameNormalizer(FileNameNormalizer fileNameNormalizer)

  Deprecated.
  Set the normalizer that will convert invalid file names into something usable.

### toString

    public java.lang.String toString()

  Deprecated.
  Call `#toString(PrintWriter)`, to allow subclasses to insert additional information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD